curl --request POST \
--url 'https://api.stateset.com/api/v1/reports/consumption' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"from": "string",
"records": [
{
"consumed_at": "2026-08-31T14:22:05Z",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity": "string",
"sku": "SKU-TENT-2P-GRN"
}
],
"to": "string"
}'
{
"days": 1,
"from": "string",
"rows": [
{
"avg_daily": "string",
"event_count": 1,
"sku": "SKU-TENT-2P-GRN",
"total_quantity": "string"
}
],
"to": "string",
"total_quantity": "string"
}
Consumption
Consumption
POST
/
api
/
v1
/
reports
/
consumption
curl --request POST \
--url 'https://api.stateset.com/api/v1/reports/consumption' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"from": "string",
"records": [
{
"consumed_at": "2026-08-31T14:22:05Z",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity": "string",
"sku": "SKU-TENT-2P-GRN"
}
],
"to": "string"
}'
{
"days": 1,
"from": "string",
"rows": [
{
"avg_daily": "string",
"event_count": 1,
"sku": "SKU-TENT-2P-GRN",
"total_quantity": "string"
}
],
"to": "string",
"total_quantity": "string"
}
Request body
ConsumptionRequest
string
required
ConsumptionRecordRequest[]
required
string
required
Response
ConsumptionResponse
integer (int64)
required
string
required
ConsumptionRowResponse[]
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/reports/consumption' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"from": "string",
"records": [
{
"consumed_at": "2026-08-31T14:22:05Z",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity": "string",
"sku": "SKU-TENT-2P-GRN"
}
],
"to": "string"
}'
{
"days": 1,
"from": "string",
"rows": [
{
"avg_daily": "string",
"event_count": 1,
"sku": "SKU-TENT-2P-GRN",
"total_quantity": "string"
}
],
"to": "string",
"total_quantity": "string"
}
Last modified on August 31, 2026